package org.dromara.ygpassport.domain.dto;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.ScholarshipBo;
import org.dromara.ygpassport.domain.vo.ScholarshipVo;

import java.io.Serial;

@Data
@AutoMapper(target = ScholarshipBo.class, reverseConvertGenerate = false)
public class WxScholarshipDto {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 等级
     */
    private Long grade;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 奖项名称
     */
    private String scholarshipName;

    /**
     * 奖项内容
     */
    private String scholarshipDetail;

    /**
     * 附件信息存放路径
     */
    private String experienceFilePath;

    /**
     * 预留备注字段
     */
    private String remark;

    public WxScholarshipDto() {

    }

    public WxScholarshipDto(ScholarshipVo scholarshipVo) {
        if (scholarshipVo != null) {
            this.id = scholarshipVo.getId();
            this.stuNo = scholarshipVo.getStuNo();
            this.scholarshipName = scholarshipVo.getScholarshipName();
            this.scholarshipDetail = scholarshipVo.getScholarshipDetail();
            this.experienceFilePath= scholarshipVo.getExperienceFilePath();
        }
    }
}
